<?php
/**
 * con4gis - the gis-kit
 *
 * @version   php 5
 * @package   con4gis
 * @author    con4gis contributors (see "authors.txt")
 * @license   GNU/LGPL http://opensource.org/licenses/lgpl-3.0.html
 * @copyright Küstenschmiede GmbH Software & Design 2011 - 2016.
 * @link      https://www.kuestenschmiede.de
 */

namespace con4gis\MapsBundle\Controller;

use con4gis\CoreBundle\Controller\BaseController;
use con4gis\MapsBundle\Classes\LayerContentParser;
use con4gis\MapsBundle\Classes\LayerParser;
use con4gis\MapsBundle\Classes\MapsConstants;
use con4gis\MapsBundle\Entity\Layer;
use con4gis\MapsBundle\Repository\LayerRepository;
use con4gis\MapsBundle\Resources\contao\modules\api\LayerContentApi;
use Doctrine\ORM\EntityRepository;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;

class LayerController extends BaseController
{
    /**
     * @var LayerParser
     */
    protected $layerParser = null;

    /** @var LayerContentParser */
    protected $contentParser = null;

    protected function initialize()
    {
        parent::initialize();
        $this->contentParser = new LayerContentParser($this->entityManager->getRepository(Layer::class));
        $this->layerParser = new LayerParser($this->entityManager->getRepository(Layer::class),
            $this->contentParser);
    }


    public function layerAction(Request $request, $mapId)
    {
        $this->initialize();
        $response = new JsonResponse();

        $this->checkForCacheSettings('layerService');

        if (self::$useCache) {
            $this->checkAndStoreCachedData($request);
        }

        if (!self::$outputFromCache) {
            $this->responseData = $this->layerParser->getLayers($mapId);
            if (self::$useCache) {
                $this->storeDataInCache($request);
            }
        }

        $response->setData($this->responseData);
        return $response;
    }

    public function layerContentAction(Request $request, $layerId)
    {
        $this->initialize();
        $response = new JsonResponse();

//        $this->responseData = $this->contentParser->getLayerData($layerId, true);
        $this->responseData = [];
        $response->setData($this->responseData);
        return $response;
    }
    public function layerContentDataAction(Request $request, $layerId, $extent)
    {
        $response = new JsonResponse();
        $layerDataApi = new LayerContentDataApi();
        $this->responseData = $layerDataApi->generate($layerId,$extent);
        $response->setData($this->responseData);
        return $response;
    }












}