<?php
/**
 * con4gis - the gis-kit
 *
 * @version   php 7
 * @package   eden
 * @author    con4gis contributors (see "authors.txt")
 * @license   GNU/LGPL http://opensource.org/licenses/lgpl-3.0.html
 * @copyright Küstenschmiede GmbH Software & Design 2011 - 2016.
 * @link      https://www.kuestenschmiede.de
 */

namespace con4gis\MapsBundle\Entity;

use \Doctrine\ORM\Mapping as ORM;

/**
 * Class BaseLayer
 *
 * @ORM\Entity
 * @ORM\Table(name="tl_c4g_map_baselayers", indexes={@ORM\Index(name="pid", columns={"pid"})})
 * @package con4gis\MapsBundle\Entity
 */
class BaseLayer
{
    /**
     * @var int
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer", length=10, options={"unsigned": true})
     */
    protected $id = 0;

    /**
     * @var int
     * @ORM\Column(type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $pid = 0;

    /**
     * @var int
     * @ORM\Column(type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $sorting = 0;

    /**
     * @var int
     * @ORM\Column(type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $tstamp = 0;

    /**
     * @var string
     * @ORM\Column(type="string", length=254, options={"default" : ""})
     */
    protected $name = '';

    /**
     * @var string
     * @ORM\Column(name="display_name", type="string", length=254, options={"default" : ""})
     */
    protected $displayName = '';

    /**
     * @var string
     * @ORM\Column(type="string", length=10, options={"default" : ""})
     */
    protected $provider = '';

    /**
     * @var string
     * @ORM\Column(name="osm_style", type="string", length=30, options={"default" : ""})
     */
    protected $osmStyle = '';

    /**
     * @var string
     * @ORM\Column(name="osm_style_url1", type="string", length=255, options={"default" : ""})
     */
    protected $osmStyleUrl1 = '';

    /**
     * @var string
     * @ORM\Column(name="osm_style_url2", type="string", length=255, options={"default" : ""})
     */
    protected $osmStyleUrl2 = '';

    /**
     * @var string
     * @ORM\Column(name="osm_style_url3", type="string", length=255, options={"default" : ""})
     */
    protected $osmStyleUrl3 = '';
    /**
     * @var string
     * @ORM\Column(name="osm_style_url4", type="string", length=255, options={"default" : ""})
     */
    protected $osmStyleUrl4 = '';

    /**
     * @var string
     * @ORM\Column(name="osm_key_name", type="string", length=30, options={"default" : ""})
     */
    protected $osmKeyname = '';

    /**
     * @var string
     * @ORM\Column(name="mapbox_type", type="string", length=30, options={"default" : ""})
     */
    protected $mapboxType = '';

    /**
     * @var string
     * @ORM\Column(name="klokan_type", type="string", length=30, options={"default" : ""})
     */
    protected $klokanType = '';

    /**
     * @var string
     * @ORM\Column(name="style_url", type="string", length=30, options={"default" : ""})
     */
    protected $styleUrl = '';

    /**
     * @var string
     * @ORM\Column(name="here_type", type="string", length=30, options={"default" : ""})
     */
    protected $hereType = '';

    /**
     * @var string
     * @ORM\Column(name="thunderforest_type", type="string", length=30, options={"default" : ""})
     */
    protected $thunderforestType = '';

    /**
     * @var string
     * @ORM\Column(name="google_style", type="string", length=30, options={"default" : ""})
     */
    protected $googleStyle = '';

    /**
     * @var string
     * @ORM\Column(name="bing_style", type="string", length=30, options={"default" : ""})
     */
    protected $bingStyle = '';

    /**
     * @var string
     * @ORM\Column(name="bing_key", type="string", length=100, options={"default" : ""})
     */
    protected $bingKey = '';

    /**
     * @var string
     * @ORM\Column(type="string", length=255, options={"default" : ""})
     */
    protected $attribution = '';

    /**
     * @var string
     * @ORM\Column(name="wms_url", type="string", length=255, options={"default" : ""})
     */
    protected $wmsUrl = '';

    /**
     * @var string
     * @ORM\Column(name="wms_params_layers", type="string", length=255, options={"default" : ""})
     */
    protected $wmsParamsLayers = '';

    /**
     * @var string
     * @ORM\Column(name="wms_params_version", type="string", length=255, options={"default" : ""})
     */
    protected $wmsParamsVersion = '';

    /**
     * @var string
     * @ORM\Column(name="wms_params_format", type="string", length=255, options={"default" : ""})
     */
    protected $wmsParamsFormat = '';

    /**
     * @var integer
     * @ORM\Column(name="wms_params_transparent", type="smallint", length=1)
     */
    protected $wmsParamsTransparent = 0;

    /**
     * @var string
     * @ORM\Column(name="wms_params_srs", type="string", length=255, options={"default" : ""})
     */
    protected $wmsParamsSrs = '';

    /**
     * @var string
     * @ORM\Column(name="wms_gutter", type="string", length=255, options={"default" : ""})
     */
    protected $wmsGutter = '';

    /**
     * @var int
     * @ORM\Column(type="integer", length=10)
     */
    protected $minzoomlevel = 0;

    /**
     * @var int
     * @ORM\Column(type="integer", length=10)
     */
    protected $maxzoomlevel = 19;

    /**
     * @var integer
     * @ORM\Column(name="protect_baselayer", type="smallint", length=1)
     */
    protected $protectBaselayer = 0;

    /**
     * @var integer
     * @ORM\Column(name="hide_in_be", type="smallint", length=1)
     */
    protected $hideInBe = '';

    /**
     * @var object
     * @ORM\Column(name="permitted_groups", type="blob")
     */
    protected $permittedGroups = null;

    /**
     * @var string
     * @ORM\Column(type="string", length=255, options={"default" : ""})
     */
    protected $url = '';

    /**
     * @var string
     * @ORM\Column(name="api_key", type="string", length=100, options={"default" : ""})
     */
    protected $apiKey = '';

    /**
     * @var string
     * @ORM\Column(name="app_id", type="string", length=100, options={"default" : ""})
     */
    protected $appId = '';

    /**
     * @var integer
     * @ORM\Column(type="smallint", length=1)
     */
    protected $cesium = 0;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId(int $id): void
    {
        $this->id = $id;
    }

    /**
     * @return int
     */
    public function getPid(): int
    {
        return $this->pid;
    }

    /**
     * @param int $pid
     */
    public function setPid(int $pid): void
    {
        $this->pid = $pid;
    }

    /**
     * @return int
     */
    public function getSorting(): int
    {
        return $this->sorting;
    }

    /**
     * @param int $sorting
     */
    public function setSorting(int $sorting): void
    {
        $this->sorting = $sorting;
    }

    /**
     * @return int
     */
    public function getTstamp(): int
    {
        return $this->tstamp;
    }

    /**
     * @param int $tstamp
     */
    public function setTstamp(int $tstamp): void
    {
        $this->tstamp = $tstamp;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName(string $name): void
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getDisplayName(): string
    {
        return $this->displayName;
    }

    /**
     * @param string $displayName
     */
    public function setDisplayName(string $displayName): void
    {
        $this->displayName = $displayName;
    }

    /**
     * @return string
     */
    public function getProvider(): string
    {
        return $this->provider;
    }

    /**
     * @param string $provider
     */
    public function setProvider(string $provider): void
    {
        $this->provider = $provider;
    }

    /**
     * @return string
     */
    public function getOsmStyle(): string
    {
        return $this->osmStyle;
    }

    /**
     * @param string $osmStyle
     */
    public function setOsmStyle(string $osmStyle): void
    {
        $this->osmStyle = $osmStyle;
    }

    /**
     * @return string
     */
    public function getOsmStyleUrl1(): string
    {
        return $this->osmStyleUrl1;
    }

    /**
     * @param string $osmStyleUrl1
     */
    public function setOsmStyleUrl1(string $osmStyleUrl1): void
    {
        $this->osmStyleUrl1 = $osmStyleUrl1;
    }

    /**
     * @return string
     */
    public function getOsmStyleUrl2(): string
    {
        return $this->osmStyleUrl2;
    }

    /**
     * @param string $osmStyleUrl2
     */
    public function setOsmStyleUrl2(string $osmStyleUrl2): void
    {
        $this->osmStyleUrl2 = $osmStyleUrl2;
    }

    /**
     * @return string
     */
    public function getOsmStyleUrl3(): string
    {
        return $this->osmStyleUrl3;
    }

    /**
     * @param string $osmStyleUrl3
     */
    public function setOsmStyleUrl3(string $osmStyleUrl3): void
    {
        $this->osmStyleUrl3 = $osmStyleUrl3;
    }

    /**
     * @return string
     */
    public function getOsmStyleUrl4(): string
    {
        return $this->osmStyleUrl4;
    }

    /**
     * @param string $osmStyleUrl4
     */
    public function setOsmStyleUrl4(string $osmStyleUrl4): void
    {
        $this->osmStyleUrl4 = $osmStyleUrl4;
    }

    /**
     * @return string
     */
    public function getOsmKeyname(): string
    {
        return $this->osmKeyname;
    }

    /**
     * @param string $osmKeyname
     */
    public function setOsmKeyname(string $osmKeyname): void
    {
        $this->osmKeyname = $osmKeyname;
    }

    /**
     * @return string
     */
    public function getMapboxType(): string
    {
        return $this->mapboxType;
    }

    /**
     * @param string $mapboxType
     */
    public function setMapboxType(string $mapboxType): void
    {
        $this->mapboxType = $mapboxType;
    }

    /**
     * @return string
     */
    public function getKlokanType(): string
    {
        return $this->klokanType;
    }

    /**
     * @param string $klokanType
     */
    public function setKlokanType(string $klokanType): void
    {
        $this->klokanType = $klokanType;
    }

    /**
     * @return string
     */
    public function getStyleUrl(): string
    {
        return $this->styleUrl;
    }

    /**
     * @param string $styleUrl
     */
    public function setStyleUrl(string $styleUrl): void
    {
        $this->styleUrl = $styleUrl;
    }

    /**
     * @return string
     */
    public function getHereType(): string
    {
        return $this->hereType;
    }

    /**
     * @param string $hereType
     */
    public function setHereType(string $hereType): void
    {
        $this->hereType = $hereType;
    }

    /**
     * @return string
     */
    public function getThunderforestType(): string
    {
        return $this->thunderforestType;
    }

    /**
     * @param string $thunderforestType
     */
    public function setThunderforestType(string $thunderforestType): void
    {
        $this->thunderforestType = $thunderforestType;
    }

    /**
     * @return string
     */
    public function getGoogleStyle(): string
    {
        return $this->googleStyle;
    }

    /**
     * @param string $googleStyle
     */
    public function setGoogleStyle(string $googleStyle): void
    {
        $this->googleStyle = $googleStyle;
    }

    /**
     * @return string
     */
    public function getBingStyle(): string
    {
        return $this->bingStyle;
    }

    /**
     * @param string $bingStyle
     */
    public function setBingStyle(string $bingStyle): void
    {
        $this->bingStyle = $bingStyle;
    }

    /**
     * @return string
     */
    public function getBingKey(): string
    {
        return $this->bingKey;
    }

    /**
     * @param string $bingKey
     */
    public function setBingKey(string $bingKey): void
    {
        $this->bingKey = $bingKey;
    }

    /**
     * @return string
     */
    public function getAttribution(): string
    {
        return $this->attribution;
    }

    /**
     * @param string $attribution
     */
    public function setAttribution(string $attribution): void
    {
        $this->attribution = $attribution;
    }

    /**
     * @return string
     */
    public function getWmsUrl(): string
    {
        return $this->wmsUrl;
    }

    /**
     * @param string $wmsUrl
     */
    public function setWmsUrl(string $wmsUrl): void
    {
        $this->wmsUrl = $wmsUrl;
    }

    /**
     * @return string
     */
    public function getWmsParamsLayers(): string
    {
        return $this->wmsParamsLayers;
    }

    /**
     * @param string $wmsParamsLayers
     */
    public function setWmsParamsLayers(string $wmsParamsLayers): void
    {
        $this->wmsParamsLayers = $wmsParamsLayers;
    }

    /**
     * @return string
     */
    public function getWmsParamsVersion(): string
    {
        return $this->wmsParamsVersion;
    }

    /**
     * @param string $wmsParamsVersion
     */
    public function setWmsParamsVersion(string $wmsParamsVersion): void
    {
        $this->wmsParamsVersion = $wmsParamsVersion;
    }

    /**
     * @return string
     */
    public function getWmsParamsFormat(): string
    {
        return $this->wmsParamsFormat;
    }

    /**
     * @param string $wmsParamsFormat
     */
    public function setWmsParamsFormat(string $wmsParamsFormat): void
    {
        $this->wmsParamsFormat = $wmsParamsFormat;
    }

    /**
     * @return string
     */
    public function getWmsParamsTransparent(): string
    {
        return $this->wmsParamsTransparent;
    }

    /**
     * @param string $wmsParamsTransparent
     */
    public function setWmsParamsTransparent(string $wmsParamsTransparent): void
    {
        $this->wmsParamsTransparent = $wmsParamsTransparent;
    }

    /**
     * @return string
     */
    public function getWmsParamsSrs(): string
    {
        return $this->wmsParamsSrs;
    }

    /**
     * @param string $wmsParamsSrs
     */
    public function setWmsParamsSrs(string $wmsParamsSrs): void
    {
        $this->wmsParamsSrs = $wmsParamsSrs;
    }

    /**
     * @return string
     */
    public function getWmsGutter(): string
    {
        return $this->wmsGutter;
    }

    /**
     * @param string $wmsGutter
     */
    public function setWmsGutter(string $wmsGutter): void
    {
        $this->wmsGutter = $wmsGutter;
    }

    /**
     * @return int
     */
    public function getMinzoomlevel(): int
    {
        return $this->minzoomlevel;
    }

    /**
     * @param int $minzoomlevel
     */
    public function setMinzoomlevel(int $minzoomlevel): void
    {
        $this->minzoomlevel = $minzoomlevel;
    }

    /**
     * @return int
     */
    public function getMaxzoomlevel(): int
    {
        return $this->maxzoomlevel;
    }

    /**
     * @param int $maxzoomlevel
     */
    public function setMaxzoomlevel(int $maxzoomlevel): void
    {
        $this->maxzoomlevel = $maxzoomlevel;
    }

    /**
     * @return string
     */
    public function getProtectBaselayer(): string
    {
        return $this->protectBaselayer;
    }

    /**
     * @param string $protectBaselayer
     */
    public function setProtectBaselayer(string $protectBaselayer): void
    {
        $this->protectBaselayer = $protectBaselayer;
    }

    /**
     * @return string
     */
    public function getHideInBe(): string
    {
        return $this->hideInBe;
    }

    /**
     * @param string $hideInBe
     */
    public function setHideInBe(string $hideInBe): void
    {
        $this->hideInBe = $hideInBe;
    }

    /**
     * @return object
     */
    public function getPermittedGroups()
    {
        return $this->permittedGroups;
    }

    /**
     * @param object $permittedGroups
     */
    public function setPermittedGroups($permittedGroups): void
    {
        $this->permittedGroups = $permittedGroups;
    }

    /**
     * @return string
     */
    public function getUrl(): string
    {
        return $this->url;
    }

    /**
     * @param string $url
     */
    public function setUrl(string $url): void
    {
        $this->url = $url;
    }

    /**
     * @return string
     */
    public function getApiKey(): string
    {
        return $this->apiKey;
    }

    /**
     * @param string $apiKey
     */
    public function setApiKey(string $apiKey): void
    {
        $this->apiKey = $apiKey;
    }

    /**
     * @return string
     */
    public function getAppId(): string
    {
        return $this->appId;
    }

    /**
     * @param string $appId
     */
    public function setAppId(string $appId): void
    {
        $this->appId = $appId;
    }

    /**
     * @return string
     */
    public function getCesium(): string
    {
        return $this->cesium;
    }

    /**
     * @param string $cesium
     */
    public function setCesium(string $cesium): void
    {
        $this->cesium = $cesium;
    }
}