<?php
/**
 * con4gis - the gis-kit
 *
 * @version   php 5
 * @package   con4gis
 * @author    con4gis contributors (see "authors.txt")
 * @license   GNU/LGPL http://opensource.org/licenses/lgpl-3.0.html
 * @copyright Küstenschmiede GmbH Software & Design 2011 - 2016.
 * @link      https://www.kuestenschmiede.de
 */

namespace con4gis\MapsBundle\Entity;

use \Doctrine\ORM\Mapping as ORM;

/**
 * Class Layer
 *
 * @ORM\Entity(repositoryClass="con4gis\MapsBundle\Repository\LayerRepository")
 * @ORM\Table(name="tl_c4g_maps", indexes={@ORM\Index(name="pid", columns={"pid"})})
 * @package con4gis\MapsBundle\Entity
 */
class Layer
{
    /**
     * @var int
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer", length=10, options={"unsigned": true})
     */
    protected $id = 0;

    /**
     * @var int
     * @ORM\Column(type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $pid = 0;

    /**
     * @var int
     * @ORM\Column(type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $sorting = 0;

    /**
     * @var int
     * @ORM\Column(type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $tstamp = 0;

    /**
     * @var string
     * @ORM\Column(type="string", length=100, options={"default" : "0"})
     */
    protected $name = '';

    /**
     * @var int
     * @ORM\Column(name="profile", type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $profile = 0;

    /**
     * @var int
     * @ORM\Column(name="profile_mobile", type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $profileMobile = 0;

    /**
     * @var integer
     * @ORM\Column(type="smallint", length=1)
     */
    protected $published = 0;

    /**
     * @var integer
     * @ORM\Column(name="is_map", type="smallint", length=1)
     */
    protected $isMap = 0;

    /**
     * @var string
     * @ORM\Column(type="string", length=64, options={"default" : "0"})
     */
    protected $width = "";

    /**
     * @var string
     * @ORM\Column(type="string", length=64, options={"default" : "0"})
     */
    protected $height = "";

    /**
     * @var string
     * @ORM\Column(type="string", length=128, options={"default" : "0"})
     */
    protected $margin = "";

    /**
     * @var string
     * @ORM\Column(name="calc_extent", type="string", length=10, options={"default" : "0"})
     */
    protected $calcExtent = "";

    /**
     * @var integer
     * @ORM\Column(name="show_locations", type="smallint", length=1)
     */
    protected $showLocations = 0;

    /**
     * @var int
     * @ORM\Column(name="min_gap", type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $minGap = 0;

    /**
     * @var string
     * @ORM\Column(type="string", length=20, options={"default" : "0"})
     */
    protected $awesomeicon = "";

    /**
     * @var string
     * @ORM\Column(name="center_geox", type="string", length=20, options={"default" : "0"})
     */
    protected $centerGeox = "";

    /**
     * @var string
     * @ORM\Column(name="center_geoy", type="string", length=20, options={"default" : "0"})
     */
    protected $centerGeoy = "";

    /**
     * @var string
     * @ORM\Column(type="string", length=20, options={"default" : "10"})
     */
    protected $zoom = "10";

    /**
     * @var integer
     * @ORM\Column(type="smallint", length=1)
     */
    protected $geolocation = 0;

    /**
     * @var string
     * @ORM\Column(name="geolocation_zoom", type="string", length=20, options={"default" : "16"})
     */
    protected $geolocationZoom = "16";

    /**
     * @var integer
     * @ORM\Column(name="hide_when_in_tab", type="smallint", length=1)
     */
    protected $hideWhenInTab = 0;

    /**
     * @var integer
     * @ORM\Column(name="restrict_area", type="smallint", length=1)
     */
    protected $restrictArea = 0;

    /**
     * @var string
     * @ORM\Column(name="restr_bottomleft_geox", type="string", length=20, options={"default" : "0"})
     */
    protected $restrBottomleftGeox = "";

    /**
     * @var string
     * @ORM\Column(name="restr_bottomleft_geoy", type="string", length=20, options={"default" : "0"})
     */
    protected $restrBottomleftGeoy = "";

    /**
     * @var string
     * @ORM\Column(name="restr_topright_geox", type="string", length=20, options={"default" : "0"})
     */
    protected $restrToprightGeox = "";

    /**
     * @var string
     * @ORM\Column(name="restr_topright_geoy", type="string", length=20, options={"default" : "0"})
     */
    protected $restrToprightGeoy = "";

    /**
     * @var integer
     * @ORM\Column(name="include_sublocations", type="smallint", length=1, options={"default" : "1"})
     */
    protected $includeSublocations = 1;

    /**
     * @var string
     * @ORM\Column(name="location_type", type="string", length=10, options={"default" : "0"})
     */
    protected $locationType = "";

    /**
     * @var string
     * @ORM\Column(name="loc_geox", type="string", length=20, options={"default" : "0"})
     */
    protected $locGeox = "";

    /**
     * @var string
     * @ORM\Column(name="loc_geoy", type="string", length=20, options={"default" : "0"})
     */
    protected $locGeoy = "";

    /**
     * @var int
     * @ORM\Column(type="integer", length=10)
     */
    protected $locstyle = 0;

    /**
     * @var integer
     * @ORM\Column(name="loc_only_in_parent", type="smallint", length=1, options={"default" : "0"})
     */
    protected $locOnlyInParent = 0;

    /**
     * @var string
     * @ORM\Column(name="loc_label", type="string", length=100, options={"default" : "0"})
     */
    protected $locLabel = "";

    /**
     * @var string
     * @ORM\Column(name="tooltip", type="string", length=100, options={"default" : "0"})
     */
    protected $tooltip = "";

    /**
     * @var int
     * @ORM\Column(name="tooltip_length", type="integer", length=10, options={"default" : "30"})
     */
    protected $tooltipLength = 30;

    /**
     * @var integer
     * @ORM\Column(name="enablePopup", type="smallint", length=1, options={"default" : "1"})
     */
    protected $enablePopup = 1;

    /**
     * @var string
     * @ORM\Column(name="popupTemplate", type="string", length=100, options={"default" : "0"})
     */
    protected $popupTemplate = "";

    /**
     * @var string
     * @ORM\Column(name="popupType", type="string", length=10, options={"default" : "text"})
     */
    protected $popupType = "";

    /**
     * @var string
     * @ORM\Column(name="popup_info", type="text")
     */
    protected $popupInfo = "";

    /**
     * @var integer
     * @ORM\Column(name="popup_async", type="smallint", length=1, options={"default" : "0"})
     */
    protected $popupAsync = 0;

    /**
     * @var integer
     * @ORM\Column(name="popup_extend", type="smallint", length=1, options={"default" : "0"})
     */
    protected $popupExtend = 0;

    /**
     * @var integer
     * @ORM\Column(name="routing_to", type="smallint", length=1, options={"default" : "0"})
     */
    protected $routingTo = 0;

    /**
     * @var string
     * @ORM\Column(name="loc_linkurl", type="string", length=255, options={"default" : "0"})
     */
    protected $locLinkurl = "";

    /**
     * @var int
     * @ORM\Column(name="loc_onclick_zoomto", type="integer", length=10, options={"default" : "0"})
     */
    protected $locOnclickZoomto = 0;

    /**
     * @var int
     * @ORM\Column(name="loc_minzoom", type="integer", length=10, options={"default" : "0"})
     */
    protected $locMinzoom = 0;

    /**
     * @var int
     * @ORM\Column(name="loc_maxzoom", type="integer", length=10, options={"default" : "0"})
     */
    protected $locMaxzoom = 0;

    /**
     * @var string
     * @ORM\Column(name="tab_source", type="string", length=100, options={"default" : "0"})
     */
    protected $tabSource = "";

    /**
     * @var integer
     * @ORM\Column(name="async_content", type="smallint", length=1, options={"default" : "0"})
     */
    protected $asyncContent = 0;

    /**
     * @var int
     * @ORM\Column(name="tab_pid", type="integer", length=10, options={"default" : "0"})
     */
    protected $tabPid = 0;

    /**
     * @var int
     * @ORM\Column(name="tab_pid1", type="integer", length=10, options={"default" : "0"})
     */
    protected $tabPid1 = 0;

    /**
     * @var string
     * @ORM\Column(name="tab_labeldisplay", type="string", length=10, options={"default" : "1ST_MORE"})
     */
    protected $tabLabeldisplay = "1ST_MORE";

    /**
     * @var string
     * @ORM\Column(name="tab_tooltipdisplay", type="string", length=10, options={"default" : "1ST_MORE"})
     */
    protected $tabTooltipdisplay = "1ST_MORE";

    /**
     * @var integer
     * @ORM\Column(name="tab_directlink", type="smallint", length=1, options={"default" : "0"})
     */
    protected $tabDirectlink = 0;

    /**
     * @var integer
     * @ORM\Column(name="tab_force_target_blank", type="smallint", length=1, options={"default" : "0"})
     */
    protected $tabForceTargetBlank = 0;

    /**
     * @var string
     * @ORM\Column(name="tab_whereclause", type="text")
     */
    protected $tabWhereclause = "";

    /**
     * @var string
     * @ORM\Column(name="tab_orderby", type="string", length=128, options={"default" : "0"})
     */
    protected $tabOrderby = "";

    /**
     * @var integer
     * @ORM\Column(name="tab_filter_alias", type="smallint", length=1, options={"default" : "0"})
     */
    protected $tabFilterAlias = 0;

    /**
     * @ORM\Column(name="data_file", type="binary", length=16)
     */
    protected $dataFile;

    /**
     * @ORM\Column(name="data_folder", type="binary", length=16)
     */
    protected $dataFolder;

    /**
     * @var string
     * @ORM\Column(name="data_url", type="string", length=255, options={"default" : "0"})
     */
    protected $dataUrl = "";

    /**
     * @var string
     * @ORM\Column(name="data_content", type="text")
     */
    protected $dataContent = "";

    /**
     * @var string
     * @ORM\Column(name="data_projection", type="string", length=5, options={"default" : "0"})
     */
    protected $dataProjection = "";

    /**
     * @var integer
     * @ORM\Column(name="data_forcenodes", type="smallint", length=1, options={"default" : "0"})
     */
    protected $dataForcenodes = 0;

    /**
     * @var integer
     * @ORM\Column(name="data_additionalgeometries", type="smallint", length=1, options={"default" : "0"})
     */
    protected $dataAdditionalgeometries = 0;

    /**
     * @var string
     * @ORM\Column(name="data_layername", type="string", length=254, options={"default" : "0"})
     */
    protected $dataLayername = "";

    /**
     * @var integer
     * @ORM\Column(name="data_hidelayer", type="smallint", length=1, options={"default" : "0"})
     */
    protected $dataHidelayer = 0;

    /**
     * @var integer
     * @ORM\Column(name="hide_child", type="smallint", length=1, options={"default" : "0"})
     */
    protected $hideChild = 0;

    /**
     * @var integer
     * @ORM\Column(name="showPopupOnActive", type="smallint", length=1, options={"default" : "0"})
     */
    protected $showPopupOnActive = 0;

    /**
     * @var object
     * @ORM\Column(name="forums", type="blob")
     */
    protected $forums = null;

    /**
     * @var int
     * @ORM\Column(name="forum_jumpto", type="integer", length=10, options={"default" : "0"})
     */
    protected $forumJumpto = 0;

    /**
     * @var string
     * @ORM\Column(name="forum_reassign_layer", type="string", length=10, options={"default" : "0"})
     */
    protected $forumReassignLayer = "";

    /**
     * @var string
     * @ORM\Column(name="ovp_request", type="text")
     */
    protected $ovpRequest = "";

    /**
     * @var integer
     * @ORM\Column(name="ovp_bbox_limited", type="smallint", length=1, options={"default" : "1"})
     */
    protected $ovpBboxLimited = 1;

    /**
     * @var int
     * @ORM\Column(name="link_id", type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $linkId = 0;

    /**
     * @var integer
     * @ORM\Column(name="protect_element", type="smallint", length=1, options={"default" : "0"})
     */
    protected $protectElement = 0;

    /**
     * @var object
     * @ORM\Column(name="permitted_groups", type="blob")
     */
    protected $permittedGroups = null;

    /**
     * @var integer
     * @ORM\Column(name="use_specialprofile", type="smallint", length=1, options={"default" : "0"})
     */
    protected $useSpecialprofile = 0;

    /**
     * @var int
     * @ORM\Column(name="specialprofile", type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $specialprofile = 0;

    /**
     * @var int
     * @ORM\Column(name="specialprofile_mobile", type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $specialprofileMobile = 0;

    /**
     * @var object
     * @ORM\Column(name="specialprofile_groups", type="blob")
     */
    protected $specialprofileGroups = null;

    /**
     * @var integer
     * @ORM\Column(name="cluster_locations", type="smallint", length=1, options={"default" : "0"})
     */
    protected $clusterLocations = 0;

    /**
     * @var string
     * @ORM\Column(name="cluster_distance", type="string", length=100, options={"default" : "0"})
     */
    protected $clusterDistance = "";

    /**
     * @var string
     * @ORM\Column(name="cluster_fillcolor", type="string", length=10, options={"default" : "4975A8"})
     */
    protected $clusterFillcolor = "4975A8";

    /**
     * @var string
     * @ORM\Column(name="cluster_fontcolor", type="string", length=10, options={"default" : "ffffff"})
     */
    protected $clusterFontcolor = "ffffff";

    /**
     * @var int
     * @ORM\Column(name="cluster_zoom", type="integer", length=10, options={"default" : "17", "unsigned": true})
     */
    protected $clusterZoom = 17;

    /**
     * @var integer
     * @ORM\Column(name="cluster_popup", type="smallint", length=1, options={"default" : "0"})
     */
    protected $clusterPopup = 0;

    /**
     * @var integer
     * @ORM\Column(name="zoom_locations", type="smallint", length=1, options={"default" : "0"})
     */
    protected $zoomLocations = 0;

    /**
     * @var integer
     * @ORM\Column(name="hover_location", type="smallint", length=1, options={"default" : "0"})
     */
    protected $hoverLocation = 0;

    /**
     * @var int
     * @ORM\Column(name="hover_style", type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $hoverStyle = 0;

    /**
     * @var int
     * @ORM\Column(name="be_optimize_checkboxes_limit", type="integer", length=10, options={"default" : "10", "unsigned": true})
     */
    protected $beOptimizeCheckboxesLimit = 10;

    /**
     * @var string
     * @ORM\Column(name="cssClass", type="string", length=255, options={"default" : "0"})
     */
    protected $cssClass = "";

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId(int $id): void
    {
        $this->id = $id;
    }

    /**
     * @return int
     */
    public function getPid(): int
    {
        return $this->pid;
    }

    /**
     * @param int $pid
     */
    public function setPid(int $pid): void
    {
        $this->pid = $pid;
    }

    /**
     * @return int
     */
    public function getSorting(): int
    {
        return $this->sorting;
    }

    /**
     * @param int $sorting
     */
    public function setSorting(int $sorting): void
    {
        $this->sorting = $sorting;
    }

    /**
     * @return int
     */
    public function getTstamp(): int
    {
        return $this->tstamp;
    }

    /**
     * @param int $tstamp
     */
    public function setTstamp(int $tstamp): void
    {
        $this->tstamp = $tstamp;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName(string $name): void
    {
        $this->name = $name;
    }

    /**
     * @return int
     */
    public function getProfile(): int
    {
        return $this->profile;
    }

    /**
     * @param int $profile
     */
    public function setProfile(int $profile): void
    {
        $this->profile = $profile;
    }

    /**
     * @return int
     */
    public function getProfileMobile(): int
    {
        return $this->profileMobile;
    }

    /**
     * @param int $profileMobile
     */
    public function setProfileMobile(int $profileMobile): void
    {
        $this->profileMobile = $profileMobile;
    }

    /**
     * @return int
     */
    public function getPublished(): int
    {
        return $this->published;
    }

    /**
     * @param int $published
     */
    public function setPublished(int $published): void
    {
        $this->published = $published;
    }

    /**
     * @return int
     */
    public function getisMap(): int
    {
        return $this->isMap;
    }

    /**
     * @param int $isMap
     */
    public function setIsMap(int $isMap): void
    {
        $this->isMap = $isMap;
    }

    /**
     * @return string
     */
    public function getWidth(): string
    {
        return $this->width;
    }

    /**
     * @param string $width
     */
    public function setWidth(string $width): void
    {
        $this->width = $width;
    }

    /**
     * @return string
     */
    public function getHeight(): string
    {
        return $this->height;
    }

    /**
     * @param string $height
     */
    public function setHeight(string $height): void
    {
        $this->height = $height;
    }

    /**
     * @return string
     */
    public function getMargin(): string
    {
        return $this->margin;
    }

    /**
     * @param string $margin
     */
    public function setMargin(string $margin): void
    {
        $this->margin = $margin;
    }

    /**
     * @return string
     */
    public function getCalcExtent(): string
    {
        return $this->calcExtent;
    }

    /**
     * @param string $calcExtent
     */
    public function setCalcExtent(string $calcExtent): void
    {
        $this->calcExtent = $calcExtent;
    }

    /**
     * @return int
     */
    public function getShowLocations(): int
    {
        return $this->showLocations;
    }

    /**
     * @param int $showLocations
     */
    public function setShowLocations(int $showLocations): void
    {
        $this->showLocations = $showLocations;
    }

    /**
     * @return int
     */
    public function getMinGap(): int
    {
        return $this->minGap;
    }

    /**
     * @param int $minGap
     */
    public function setMinGap(int $minGap): void
    {
        $this->minGap = $minGap;
    }

    /**
     * @return string
     */
    public function getAwesomeicon(): string
    {
        return $this->awesomeicon;
    }

    /**
     * @param string $awesomeicon
     */
    public function setAwesomeicon(string $awesomeicon): void
    {
        $this->awesomeicon = $awesomeicon;
    }

    /**
     * @return string
     */
    public function getCenterGeox(): string
    {
        return $this->centerGeox;
    }

    /**
     * @param string $centerGeox
     */
    public function setCenterGeox(string $centerGeox): void
    {
        $this->centerGeox = $centerGeox;
    }

    /**
     * @return string
     */
    public function getCenterGeoy(): string
    {
        return $this->centerGeoy;
    }

    /**
     * @param string $centerGeoy
     */
    public function setCenterGeoy(string $centerGeoy): void
    {
        $this->centerGeoy = $centerGeoy;
    }

    /**
     * @return string
     */
    public function getZoom(): string
    {
        return $this->zoom;
    }

    /**
     * @param string $zoom
     */
    public function setZoom(string $zoom): void
    {
        $this->zoom = $zoom;
    }

    /**
     * @return int
     */
    public function getGeolocation(): int
    {
        return $this->geolocation;
    }

    /**
     * @param int $geolocation
     */
    public function setGeolocation(int $geolocation): void
    {
        $this->geolocation = $geolocation;
    }

    /**
     * @return string
     */
    public function getGeolocationZoom(): string
    {
        return $this->geolocationZoom;
    }

    /**
     * @param string $geolocationZoom
     */
    public function setGeolocationZoom(string $geolocationZoom): void
    {
        $this->geolocationZoom = $geolocationZoom;
    }

    /**
     * @return int
     */
    public function getHideWhenInTab(): int
    {
        return $this->hideWhenInTab;
    }

    /**
     * @param int $hideWhenInTab
     */
    public function setHideWhenInTab(int $hideWhenInTab): void
    {
        $this->hideWhenInTab = $hideWhenInTab;
    }

    /**
     * @return int
     */
    public function getRestrictArea(): int
    {
        return $this->restrictArea;
    }

    /**
     * @param int $restrictArea
     */
    public function setRestrictArea(int $restrictArea): void
    {
        $this->restrictArea = $restrictArea;
    }

    /**
     * @return string
     */
    public function getRestrBottomleftGeox(): string
    {
        return $this->restrBottomleftGeox;
    }

    /**
     * @param string $restrBottomleftGeox
     */
    public function setRestrBottomleftGeox(string $restrBottomleftGeox): void
    {
        $this->restrBottomleftGeox = $restrBottomleftGeox;
    }

    /**
     * @return string
     */
    public function getRestrBottomleftGeoy(): string
    {
        return $this->restrBottomleftGeoy;
    }

    /**
     * @param string $restrBottomleftGeoy
     */
    public function setRestrBottomleftGeoy(string $restrBottomleftGeoy): void
    {
        $this->restrBottomleftGeoy = $restrBottomleftGeoy;
    }

    /**
     * @return string
     */
    public function getRestrToprightGeox(): string
    {
        return $this->restrToprightGeox;
    }

    /**
     * @param string $restrToprightGeox
     */
    public function setRestrToprightGeox(string $restrToprightGeox): void
    {
        $this->restrToprightGeox = $restrToprightGeox;
    }

    /**
     * @return string
     */
    public function getRestrToprightGeoy(): string
    {
        return $this->restrToprightGeoy;
    }

    /**
     * @param string $restrToprightGeoy
     */
    public function setRestrToprightGeoy(string $restrToprightGeoy): void
    {
        $this->restrToprightGeoy = $restrToprightGeoy;
    }

    /**
     * @return int
     */
    public function getIncludeSublocations(): int
    {
        return $this->includeSublocations;
    }

    /**
     * @param int $includeSublocations
     */
    public function setIncludeSublocations(int $includeSublocations): void
    {
        $this->includeSublocations = $includeSublocations;
    }

    /**
     * @return string
     */
    public function getLocationType(): string
    {
        return $this->locationType;
    }

    /**
     * @param string $locationType
     */
    public function setLocationType(string $locationType): void
    {
        $this->locationType = $locationType;
    }

    /**
     * @return string
     */
    public function getLocGeox(): string
    {
        return $this->locGeox;
    }

    /**
     * @param string $locGeox
     */
    public function setLocGeox(string $locGeox): void
    {
        $this->locGeox = $locGeox;
    }

    /**
     * @return string
     */
    public function getLocGeoy(): string
    {
        return $this->locGeoy;
    }

    /**
     * @param string $locGeoy
     */
    public function setLocGeoy(string $locGeoy): void
    {
        $this->locGeoy = $locGeoy;
    }

    /**
     * @return int
     */
    public function getLocstyle(): int
    {
        return $this->locstyle;
    }

    /**
     * @param int $locstyle
     */
    public function setLocstyle(int $locstyle): void
    {
        $this->locstyle = $locstyle;
    }

    /**
     * @return int
     */
    public function getLocOnlyInParent(): int
    {
        return $this->locOnlyInParent;
    }

    /**
     * @param int $locOnlyInParent
     */
    public function setLocOnlyInParent(int $locOnlyInParent): void
    {
        $this->locOnlyInParent = $locOnlyInParent;
    }

    /**
     * @return string
     */
    public function getLocLabel(): string
    {
        return $this->locLabel;
    }

    /**
     * @param string $locLabel
     */
    public function setLocLabel(string $locLabel): void
    {
        $this->locLabel = $locLabel;
    }

    /**
     * @return string
     */
    public function getTooltip(): string
    {
        return $this->tooltip;
    }

    /**
     * @param string $tooltip
     */
    public function setTooltip(string $tooltip): void
    {
        $this->tooltip = $tooltip;
    }

    /**
     * @return int
     */
    public function getTooltipLength(): int
    {
        return $this->tooltipLength;
    }

    /**
     * @param int $tooltipLength
     */
    public function setTooltipLength(int $tooltipLength): void
    {
        $this->tooltipLength = $tooltipLength;
    }

    /**
     * @return int
     */
    public function getEnablePopup(): int
    {
        return $this->enablePopup;
    }

    /**
     * @param int $enablePopup
     */
    public function setEnablePopup(int $enablePopup): void
    {
        $this->enablePopup = $enablePopup;
    }

    /**
     * @return string
     */
    public function getPopupTemplate(): string
    {
        return $this->popupTemplate;
    }

    /**
     * @param string $popupTemplate
     */
    public function setPopupTemplate(string $popupTemplate): void
    {
        $this->popupTemplate = $popupTemplate;
    }

    /**
     * @return string
     */
    public function getPopupType(): string
    {
        return $this->popupType;
    }

    /**
     * @param string $popupType
     */
    public function setPopupType(string $popupType): void
    {
        $this->popupType = $popupType;
    }

    /**
     * @return string
     */
    public function getPopupInfo(): string
    {
        return $this->popupInfo;
    }

    /**
     * @param string $popupInfo
     */
    public function setPopupInfo(string $popupInfo): void
    {
        $this->popupInfo = $popupInfo;
    }

    /**
     * @return int
     */
    public function getPopupAsync(): int
    {
        return $this->popupAsync;
    }

    /**
     * @param int $popupAsync
     */
    public function setPopupAsync(int $popupAsync): void
    {
        $this->popupAsync = $popupAsync;
    }

    /**
     * @return int
     */
    public function getPopupExtend(): int
    {
        return $this->popupExtend;
    }

    /**
     * @param int $popupExtend
     */
    public function setPopupExtend(int $popupExtend): void
    {
        $this->popupExtend = $popupExtend;
    }

    /**
     * @return int
     */
    public function getRoutingTo(): int
    {
        return $this->routingTo;
    }

    /**
     * @param int $routingTo
     */
    public function setRoutingTo(int $routingTo): void
    {
        $this->routingTo = $routingTo;
    }

    /**
     * @return string
     */
    public function getLocLinkurl(): string
    {
        return $this->locLinkurl;
    }

    /**
     * @param string $locLinkurl
     */
    public function setLocLinkurl(string $locLinkurl): void
    {
        $this->locLinkurl = $locLinkurl;
    }

    /**
     * @return int
     */
    public function getLocOnclickZoomto(): int
    {
        return $this->locOnclickZoomto;
    }

    /**
     * @param int $locOnclickZoomto
     */
    public function setLocOnclickZoomto(int $locOnclickZoomto): void
    {
        $this->locOnclickZoomto = $locOnclickZoomto;
    }

    /**
     * @return int
     */
    public function getLocMinzoom(): int
    {
        return $this->locMinzoom;
    }

    /**
     * @param int $locMinzoom
     */
    public function setLocMinzoom(int $locMinzoom): void
    {
        $this->locMinzoom = $locMinzoom;
    }

    /**
     * @return int
     */
    public function getLocMaxzoom(): int
    {
        return $this->locMaxzoom;
    }

    /**
     * @param int $locMaxzoom
     */
    public function setLocMaxzoom(int $locMaxzoom): void
    {
        $this->locMaxzoom = $locMaxzoom;
    }

    /**
     * @return string
     */
    public function getTabSource(): string
    {
        return $this->tabSource;
    }

    /**
     * @param string $tabSource
     */
    public function setTabSource(string $tabSource): void
    {
        $this->tabSource = $tabSource;
    }

    /**
     * @return int
     */
    public function getAsyncContent(): int
    {
        return $this->asyncContent;
    }

    /**
     * @param int $asyncContent
     */
    public function setAsyncContent(int $asyncContent): void
    {
        $this->asyncContent = $asyncContent;
    }

    /**
     * @return int
     */
    public function getTabPid(): int
    {
        return $this->tabPid;
    }

    /**
     * @param int $tabPid
     */
    public function setTabPid(int $tabPid): void
    {
        $this->tabPid = $tabPid;
    }

    /**
     * @return int
     */
    public function getTabPid1(): int
    {
        return $this->tabPid1;
    }

    /**
     * @param int $tabPid1
     */
    public function setTabPid1(int $tabPid1): void
    {
        $this->tabPid1 = $tabPid1;
    }

    /**
     * @return string
     */
    public function getTabLabeldisplay(): string
    {
        return $this->tabLabeldisplay;
    }

    /**
     * @param string $tabLabeldisplay
     */
    public function setTabLabeldisplay(string $tabLabeldisplay): void
    {
        $this->tabLabeldisplay = $tabLabeldisplay;
    }

    /**
     * @return string
     */
    public function getTabTooltipdisplay(): string
    {
        return $this->tabTooltipdisplay;
    }

    /**
     * @param string $tabTooltipdisplay
     */
    public function setTabTooltipdisplay(string $tabTooltipdisplay): void
    {
        $this->tabTooltipdisplay = $tabTooltipdisplay;
    }

    /**
     * @return int
     */
    public function getTabDirectlink(): int
    {
        return $this->tabDirectlink;
    }

    /**
     * @param int $tabDirectlink
     */
    public function setTabDirectlink(int $tabDirectlink): void
    {
        $this->tabDirectlink = $tabDirectlink;
    }

    /**
     * @return int
     */
    public function getTabForceTargetBlank(): int
    {
        return $this->tabForceTargetBlank;
    }

    /**
     * @param int $tabForceTargetBlank
     */
    public function setTabForceTargetBlank(int $tabForceTargetBlank): void
    {
        $this->tabForceTargetBlank = $tabForceTargetBlank;
    }

    /**
     * @return string
     */
    public function getTabWhereclause(): string
    {
        return $this->tabWhereclause;
    }

    /**
     * @param string $tabWhereclause
     */
    public function setTabWhereclause(string $tabWhereclause): void
    {
        $this->tabWhereclause = $tabWhereclause;
    }

    /**
     * @return string
     */
    public function getTabOrderby(): string
    {
        return $this->tabOrderby;
    }

    /**
     * @param string $tabOrderby
     */
    public function setTabOrderby(string $tabOrderby): void
    {
        $this->tabOrderby = $tabOrderby;
    }

    /**
     * @return int
     */
    public function getTabFilterAlias(): int
    {
        return $this->tabFilterAlias;
    }

    /**
     * @param int $tabFilterAlias
     */
    public function setTabFilterAlias(int $tabFilterAlias): void
    {
        $this->tabFilterAlias = $tabFilterAlias;
    }

    /**
     * @return mixed
     */
    public function getDataFile()
    {
        return $this->dataFile;
    }

    /**
     * @param mixed $dataFile
     */
    public function setDataFile($dataFile): void
    {
        $this->dataFile = $dataFile;
    }

    /**
     * @return mixed
     */
    public function getDataFolder()
    {
        return $this->dataFolder;
    }

    /**
     * @param mixed $dataFolder
     */
    public function setDataFolder($dataFolder): void
    {
        $this->dataFolder = $dataFolder;
    }

    /**
     * @return string
     */
    public function getDataUrl(): string
    {
        return $this->dataUrl;
    }

    /**
     * @param string $dataUrl
     */
    public function setDataUrl(string $dataUrl): void
    {
        $this->dataUrl = $dataUrl;
    }

    /**
     * @return string
     */
    public function getDataContent(): string
    {
        return $this->dataContent;
    }

    /**
     * @param string $dataContent
     */
    public function setDataContent(string $dataContent): void
    {
        $this->dataContent = $dataContent;
    }

    /**
     * @return string
     */
    public function getDataProjection(): string
    {
        return $this->dataProjection;
    }

    /**
     * @param string $dataProjection
     */
    public function setDataProjection(string $dataProjection): void
    {
        $this->dataProjection = $dataProjection;
    }

    /**
     * @return int
     */
    public function getDataForcenodes(): int
    {
        return $this->dataForcenodes;
    }

    /**
     * @param int $dataForcenodes
     */
    public function setDataForcenodes(int $dataForcenodes): void
    {
        $this->dataForcenodes = $dataForcenodes;
    }

    /**
     * @return int
     */
    public function getDataAdditionalgeometries(): int
    {
        return $this->dataAdditionalgeometries;
    }

    /**
     * @param int $dataAdditionalgeometries
     */
    public function setDataAdditionalgeometries(int $dataAdditionalgeometries): void
    {
        $this->dataAdditionalgeometries = $dataAdditionalgeometries;
    }

    /**
     * @return string
     */
    public function getDataLayername(): string
    {
        return $this->dataLayername;
    }

    /**
     * @param string $dataLayername
     */
    public function setDataLayername(string $dataLayername): void
    {
        $this->dataLayername = $dataLayername;
    }

    /**
     * @return int
     */
    public function getDataHidelayer(): int
    {
        return $this->dataHidelayer;
    }

    /**
     * @param int $dataHidelayer
     */
    public function setDataHidelayer(int $dataHidelayer): void
    {
        $this->dataHidelayer = $dataHidelayer;
    }

    /**
     * @return int
     */
    public function getHideChild(): int
    {
        return $this->hideChild;
    }

    /**
     * @param int $hideChild
     */
    public function setHideChild(int $hideChild): void
    {
        $this->hideChild = $hideChild;
    }

    /**
     * @return int
     */
    public function getShowPopupOnActive(): int
    {
        return $this->showPopupOnActive;
    }

    /**
     * @param int $showPopupOnActive
     */
    public function setShowPopupOnActive(int $showPopupOnActive): void
    {
        $this->showPopupOnActive = $showPopupOnActive;
    }

    /**
     * @return object
     */
    public function getForums()
    {
        return $this->forums;
    }

    /**
     * @param object $forums
     */
    public function setForums($forums): void
    {
        $this->forums = $forums;
    }

    /**
     * @return int
     */
    public function getForumJumpto(): int
    {
        return $this->forumJumpto;
    }

    /**
     * @param int $forumJumpto
     */
    public function setForumJumpto(int $forumJumpto): void
    {
        $this->forumJumpto = $forumJumpto;
    }

    /**
     * @return string
     */
    public function getForumReassignLayer(): string
    {
        return $this->forumReassignLayer;
    }

    /**
     * @param string $forumReassignLayer
     */
    public function setForumReassignLayer(string $forumReassignLayer): void
    {
        $this->forumReassignLayer = $forumReassignLayer;
    }

    /**
     * @return string
     */
    public function getOvpRequest(): string
    {
        return $this->ovpRequest;
    }

    /**
     * @param string $ovpRequest
     */
    public function setOvpRequest(string $ovpRequest): void
    {
        $this->ovpRequest = $ovpRequest;
    }

    /**
     * @return int
     */
    public function getOvpBboxLimited(): int
    {
        return $this->ovpBboxLimited;
    }

    /**
     * @param int $ovpBboxLimited
     */
    public function setOvpBboxLimited(int $ovpBboxLimited): void
    {
        $this->ovpBboxLimited = $ovpBboxLimited;
    }

    /**
     * @return int
     */
    public function getLinkId(): int
    {
        return $this->linkId;
    }

    /**
     * @param int $linkId
     */
    public function setLinkId(int $linkId): void
    {
        $this->linkId = $linkId;
    }

    /**
     * @return int
     */
    public function getProtectElement(): int
    {
        return $this->protectElement;
    }

    /**
     * @param int $protectElement
     */
    public function setProtectElement(int $protectElement): void
    {
        $this->protectElement = $protectElement;
    }

    /**
     * @return object
     */
    public function getPermittedGroups()
    {
        return $this->permittedGroups;
    }

    /**
     * @param object $permittedGroups
     */
    public function setPermittedGroups($permittedGroups): void
    {
        $this->permittedGroups = $permittedGroups;
    }

    /**
     * @return int
     */
    public function getUseSpecialprofile(): int
    {
        return $this->useSpecialprofile;
    }

    /**
     * @param int $useSpecialprofile
     */
    public function setUseSpecialprofile(int $useSpecialprofile): void
    {
        $this->useSpecialprofile = $useSpecialprofile;
    }

    /**
     * @return int
     */
    public function getSpecialprofile(): int
    {
        return $this->specialprofile;
    }

    /**
     * @param int $specialprofile
     */
    public function setSpecialprofile(int $specialprofile): void
    {
        $this->specialprofile = $specialprofile;
    }

    /**
     * @return int
     */
    public function getSpecialprofileMobile(): int
    {
        return $this->specialprofileMobile;
    }

    /**
     * @param int $specialprofileMobile
     */
    public function setSpecialprofileMobile(int $specialprofileMobile): void
    {
        $this->specialprofileMobile = $specialprofileMobile;
    }

    /**
     * @return object
     */
    public function getSpecialprofileGroups()
    {
        return $this->specialprofileGroups;
    }

    /**
     * @param object $specialprofileGroups
     */
    public function setSpecialprofileGroups($specialprofileGroups): void
    {
        $this->specialprofileGroups = $specialprofileGroups;
    }

    /**
     * @return int
     */
    public function getClusterLocations(): int
    {
        return $this->clusterLocations;
    }

    /**
     * @param int $clusterLocations
     */
    public function setClusterLocations(int $clusterLocations): void
    {
        $this->clusterLocations = $clusterLocations;
    }

    /**
     * @return string
     */
    public function getClusterDistance(): string
    {
        return $this->clusterDistance;
    }

    /**
     * @param string $clusterDistance
     */
    public function setClusterDistance(string $clusterDistance): void
    {
        $this->clusterDistance = $clusterDistance;
    }

    /**
     * @return string
     */
    public function getClusterFillcolor(): string
    {
        return $this->clusterFillcolor;
    }

    /**
     * @param string $clusterFillcolor
     */
    public function setClusterFillcolor(string $clusterFillcolor): void
    {
        $this->clusterFillcolor = $clusterFillcolor;
    }

    /**
     * @return string
     */
    public function getClusterFontcolor(): string
    {
        return $this->clusterFontcolor;
    }

    /**
     * @param string $clusterFontcolor
     */
    public function setClusterFontcolor(string $clusterFontcolor): void
    {
        $this->clusterFontcolor = $clusterFontcolor;
    }

    /**
     * @return int
     */
    public function getClusterZoom(): int
    {
        return $this->clusterZoom;
    }

    /**
     * @param int $clusterZoom
     */
    public function setClusterZoom(int $clusterZoom): void
    {
        $this->clusterZoom = $clusterZoom;
    }

    /**
     * @return int
     */
    public function getClusterPopup(): int
    {
        return $this->clusterPopup;
    }

    /**
     * @param int $clusterPopup
     */
    public function setClusterPopup(int $clusterPopup): void
    {
        $this->clusterPopup = $clusterPopup;
    }

    /**
     * @return int
     */
    public function getZoomLocations(): int
    {
        return $this->zoomLocations;
    }

    /**
     * @param int $zoomLocations
     */
    public function setZoomLocations(int $zoomLocations): void
    {
        $this->zoomLocations = $zoomLocations;
    }

    /**
     * @return int
     */
    public function getHoverLocation(): int
    {
        return $this->hoverLocation;
    }

    /**
     * @param int $hoverLocation
     */
    public function setHoverLocation(int $hoverLocation): void
    {
        $this->hoverLocation = $hoverLocation;
    }

    /**
     * @return int
     */
    public function getHoverStyle(): int
    {
        return $this->hoverStyle;
    }

    /**
     * @param int $hoverStyle
     */
    public function setHoverStyle(int $hoverStyle): void
    {
        $this->hoverStyle = $hoverStyle;
    }

    /**
     * @return int
     */
    public function getBeOptimizeCheckboxesLimit(): int
    {
        return $this->beOptimizeCheckboxesLimit;
    }

    /**
     * @param int $beOptimizeCheckboxesLimit
     */
    public function setBeOptimizeCheckboxesLimit(int $beOptimizeCheckboxesLimit): void
    {
        $this->beOptimizeCheckboxesLimit = $beOptimizeCheckboxesLimit;
    }

    /**
     * @return string
     */
    public function getCssClass(): string
    {
        return $this->cssClass;
    }

    /**
     * @param string $cssClass
     */
    public function setCssClass(string $cssClass): void
    {
        $this->cssClass = $cssClass;
    }
}