<?php
/**
 * con4gis - the gis-kit
 *
 * @version   php 7
 * @package   con4gis
 * @author    con4gis contributors (see "authors.txt")
 * @license   GNU/LGPL http://opensource.org/licenses/lgpl-3.0.html
 * @copyright Küstenschmiede GmbH Software & Design 2011 - 2018
 * @link      https://www.kuestenschmiede.de
 */

namespace con4gis\MapsBundle\Entity;

use \Doctrine\ORM\Mapping as ORM;

/**
 * Class Overlay
 *
 * @ORM\Entity
 * @ORM\Table(name="tl_c4g_map_overlays", indexes={@ORM\Index(name="pid", columns={"pid"})})
 * @package con4gis\MapsBundle\Entity
 */
class Overlay
{
    /**
     * @var int
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer", length=10, options={"unsigned": true})
     */
    protected $id = 0;

    /**
     * @var int
     * @ORM\Column(type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $pid = 0;

    /**
     * @var int
     * @ORM\Column(type="integer", length=10, options={"default" : "0", "unsigned": true})
     */
    protected $tstamp = 0;

    /**
     * @var string
     * @ORM\Column(type="string", length=100, options={"default" : ""})
     */
    protected $name = '';

    /**
     * @var string
     * @ORM\Column(type="string", length=100, options={"default" : ""})
     */
    protected $provider = '';

    /**
     * @var string
     * @ORM\Column(name="url1", type="string", length=255, options={"default" : ""})
     */
    protected $url1 = '';

    /**
     * @var string
     * @ORM\Column(name="url2", type="string", length=255, options={"default" : ""})
     */
    protected $url2 = '';

    /**
     * @var string
     * @ORM\Column(name="url3", type="string", length=255, options={"default" : ""})
     */
    protected $url3 = '';
    /**
     * @var string
     * @ORM\Column(name="url4", type="string", length=255, options={"default" : ""})
     */
    protected $url4 = '';

    /**
     * @var string
     * @ORM\Column(type="string", length=255, options={"default" : ""})
     */
    protected $attribution = '';

    /**
     * @var string
     * @ORM\Column(name="wms_url", type="string", length=255, options={"default" : ""})
     */
    protected $wmsUrl = '';

    /**
     * @var string
     * @ORM\Column(name="wms_params_layers", type="string", length=255, options={"default" : ""})
     */
    protected $wmsParamsLayers = '';

    /**
     * @var string
     * @ORM\Column(name="wms_params_version", type="string", length=255, options={"default" : ""})
     */
    protected $wmsParamsVersion = '';

    /**
     * @var string
     * @ORM\Column(name="wms_params_format", type="string", length=255, options={"default" : ""})
     */
    protected $wmsParamsFormat = '';

    /**
     * @var integer
     * @ORM\Column(name="wms_params_transparent", type="smallint", length=1)
     */
    protected $wmsParamsTransparent = 0;

    /**
     * @var string
     * @ORM\Column(name="wms_params_srs", type="string", length=255, options={"default" : ""})
     */
    protected $wmsParamsSrs = '';

    /**
     * @var string
     * @ORM\Column(name="wms_gutter", type="string", length=255, options={"default" : ""})
     */
    protected $wmsGutter = '';

    /**
     * @var string
     * @ORM\Column(name="api_key", type="string", length=100, options={"default" : ""})
     */
    protected $apiKey = '';

    /**
     * @var string
     * @ORM\Column(name="app_id", type="string", length=100, options={"default" : ""})
     */
    protected $appId = '';

    /**
     * @var string
     * @ORM\Column(name="api_port", type="string", length=5, options={"default" : "8089"})
     */
    protected $apiPort = '8089';

    /**
     * @var int
     * @ORM\Column(type="integer", length=11, options={"default" : "100"})
     */
    protected $opacity = 100;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId(int $id): void
    {
        $this->id = $id;
    }

    /**
     * @return int
     */
    public function getPid(): int
    {
        return $this->pid;
    }

    /**
     * @param int $pid
     */
    public function setPid(int $pid): void
    {
        $this->pid = $pid;
    }

    /**
     * @return int
     */
    public function getTstamp(): int
    {
        return $this->tstamp;
    }

    /**
     * @param int $tstamp
     */
    public function setTstamp(int $tstamp): void
    {
        $this->tstamp = $tstamp;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName(string $name): void
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getProvider(): string
    {
        return $this->provider;
    }

    /**
     * @param string $provider
     */
    public function setProvider(string $provider): void
    {
        $this->provider = $provider;
    }

    /**
     * @return string
     */
    public function getUrl1(): string
    {
        return $this->url1;
    }

    /**
     * @param string $url1
     */
    public function setUrl1(string $url1): void
    {
        $this->url1 = $url1;
    }

    /**
     * @return string
     */
    public function getUrl2(): string
    {
        return $this->url2;
    }

    /**
     * @param string $url2
     */
    public function setUrl2(string $url2): void
    {
        $this->url2 = $url2;
    }

    /**
     * @return string
     */
    public function getUrl3(): string
    {
        return $this->url3;
    }

    /**
     * @param string $url3
     */
    public function setUrl3(string $url3): void
    {
        $this->url3 = $url3;
    }

    /**
     * @return string
     */
    public function getUrl4(): string
    {
        return $this->url4;
    }

    /**
     * @param string $url4
     */
    public function setUrl4(string $url4): void
    {
        $this->url4 = $url4;
    }

    /**
     * @return string
     */
    public function getAttribution(): string
    {
        return $this->attribution;
    }

    /**
     * @param string $attribution
     */
    public function setAttribution(string $attribution): void
    {
        $this->attribution = $attribution;
    }

    /**
     * @return string
     */
    public function getWmsUrl(): string
    {
        return $this->wmsUrl;
    }

    /**
     * @param string $wmsUrl
     */
    public function setWmsUrl(string $wmsUrl): void
    {
        $this->wmsUrl = $wmsUrl;
    }

    /**
     * @return string
     */
    public function getWmsParamsLayers(): string
    {
        return $this->wmsParamsLayers;
    }

    /**
     * @param string $wmsParamsLayers
     */
    public function setWmsParamsLayers(string $wmsParamsLayers): void
    {
        $this->wmsParamsLayers = $wmsParamsLayers;
    }

    /**
     * @return string
     */
    public function getWmsParamsVersion(): string
    {
        return $this->wmsParamsVersion;
    }

    /**
     * @param string $wmsParamsVersion
     */
    public function setWmsParamsVersion(string $wmsParamsVersion): void
    {
        $this->wmsParamsVersion = $wmsParamsVersion;
    }

    /**
     * @return string
     */
    public function getWmsParamsFormat(): string
    {
        return $this->wmsParamsFormat;
    }

    /**
     * @param string $wmsParamsFormat
     */
    public function setWmsParamsFormat(string $wmsParamsFormat): void
    {
        $this->wmsParamsFormat = $wmsParamsFormat;
    }

    /**
     * @return int
     */
    public function getWmsParamsTransparent(): int
    {
        return $this->wmsParamsTransparent;
    }

    /**
     * @param int $wmsParamsTransparent
     */
    public function setWmsParamsTransparent(int $wmsParamsTransparent): void
    {
        $this->wmsParamsTransparent = $wmsParamsTransparent;
    }

    /**
     * @return string
     */
    public function getWmsParamsSrs(): string
    {
        return $this->wmsParamsSrs;
    }

    /**
     * @param string $wmsParamsSrs
     */
    public function setWmsParamsSrs(string $wmsParamsSrs): void
    {
        $this->wmsParamsSrs = $wmsParamsSrs;
    }

    /**
     * @return string
     */
    public function getWmsGutter(): string
    {
        return $this->wmsGutter;
    }

    /**
     * @param string $wmsGutter
     */
    public function setWmsGutter(string $wmsGutter): void
    {
        $this->wmsGutter = $wmsGutter;
    }

    /**
     * @return string
     */
    public function getApiKey(): string
    {
        return $this->apiKey;
    }

    /**
     * @param string $apiKey
     */
    public function setApiKey(string $apiKey): void
    {
        $this->apiKey = $apiKey;
    }

    /**
     * @return string
     */
    public function getAppId(): string
    {
        return $this->appId;
    }

    /**
     * @param string $appId
     */
    public function setAppId(string $appId): void
    {
        $this->appId = $appId;
    }

    /**
     * @return string
     */
    public function getApiPort(): string
    {
        return $this->apiPort;
    }

    /**
     * @param string $apiPort
     */
    public function setApiPort(string $apiPort): void
    {
        $this->apiPort = $apiPort;
    }

    /**
     * @return int
     */
    public function getOpacity(): int
    {
        return $this->opacity;
    }

    /**
     * @param int $opacity
     */
    public function setOpacity(int $opacity): void
    {
        $this->opacity = $opacity;
    }
}